دوشنبه ۲۷ فروردين ۱۴۰۳ , 15 Apr 2024
جالب است ۰
کارشناسان امنیت سایبری چند آسیب‌پذیری در نرم‌افزار Notepad++ کشف کرده‌اند که می‌تواند روی سیستم قربانی‌ها منجر به اجرای کد شوند.
منبع : مرکز ماهر
کارشناسان امنیت سایبری چند آسیب‌پذیری در نرم‌افزار Notepad++ کشف کرده‌اند که می‌تواند روی سیستم قربانی‌ها منجر به اجرای کد شوند.
 
به گزارش افتانا، Notepad++ نسخه 8.5.7 با اصلاحاتی برای سرریز چند بافر در روز صفر منتشر شده است، که یکی از آنها منجر به اجرای کد با فریب کاربران، برای باز کردن فایل‌های ساختگی علامت‌گذاری شده است.
 
Notepad++ یک ویرایشگر کد منبع رایگان محبوب است که از بسیاری از زبان های برنامه نویسی پشتیبانی می کند و می تواند از طریق افزونه ها گسترش یابد و ویژگی های افزایش بهره وری، مانند ویرایش چند زبانه و برجسته سازی نحو را ارائه دهد. آسیب‌پذیری‌های کشف‌شده شامل سرریزهای نوشتن و خواندن بافر پشته در توابع و کتابخانه‌های مختلف مورد استفاده Notepad++ است.
 
شدیدترین این آسیب پذیری ها CVE-2023-40031 است که امتیاز 7.8 (بالا) به آن اختصاص داده شده است که منجر به اجرای کد می شود. سه آسیب پذیری دیگر، با شناسه های CVE-2023-40163، CVE-2023-40033، CVE-2023-40166 با شدت متوسط (5.5) هستند که ممکن است برای افشای اطلاعات تخصیص حافظه داخلی مورد استفاده قرار گیرند. نسخه‌های 8.5.6 و نسخه‌های قبلی در برابر سرریز خواندن بافر پشته‌ای در «FileManager::detectLanguageFromTextBegining» آسیب‌پذیر هستند.
 
از زمان انتشار، هیچ وصله شناخته‌شده‌ای در نسخه‌های موجود Notepad++ موجود نیست. در حال حاضر Notepad++ نسخه 8.5.7، برای رفع چهار آسیب پذیری و سایر اشکالات ذکر شده منتشر شده است و  باید در Changelog نصب شود.
کد مطلب : 21369
https://aftana.ir/vdcaoenu.49n6i15kk4.html
ارسال نظر
نام شما
آدرس ايميل شما
کد امنيتی